To install the block on Moodle 1.9.x please follow these steps:

  1. Download the software from github website (see side block on the right of this page)
  2. Decompress the file and rename the plugin folder to moodle_notifications (just in case you have chosen a different name during the download)
  3. Move the folder to the blocks directory of your Moodle installation
  4. Login in your Moodle platform as Administrator and click on notifications link in the site Administration block.
  5. Install the block "Notifications" in the courses for which you want to send notifications
  6. Wait for the next cronjob run to receive notification emails.

To install the Notifications block please follow these steps:

You can skip the first four steps is you have used git for the installation. To upgrade by using git just run "git pull" in your Moodle installation blocks/notifications directory.
  1. Download the software from github website (see side block on the right of this page)
  2. Decompress the file and rename the plugin folder to notifications (just in case you have chosen a different name during the download)
  3. Login in your Moodle platform as Administrator and remove previous installation if you have any.
  4. Move the folder to the blocks directory of your Moodle installation
  5. Switch to your Moodle installation and click on Notifications link in the site Administration block.
  6. Install the block "Notifications" in the courses for which you want to send notifications
  7. Wait for the next cronjob run to receive notification emails.

PLEASE NOTICE THAT SMS notifications require a subscription to a SMS service provider. See the page how it works for details.

There are three level of settings for this block: at platform level, course level, and user level.

Upgrade notes for Notifications 2.0 on Moodle 2.7+:

Please note that for Moodle 2.7+ the Notifications version 2.0 breaks the backward compatibility. Please remove any previous installation and then install the 2.0 version. Check the README.txt and UPGRADE.txt files for more information.

Upgrade notes for Notifications 1.4 on Moodle 2.6-:

Please note that for Moodle 2.6- the Notifications version 1.2 breaks the backward compatibility. Please remove any previous installation and then install the 1.2 version. Check the README.txt and UPGRADE.txt files for more information.